none
EDI Support for 00401 (4.1) in BizTalk 2016? RRS feed

  • Question

  • I unzipped the MicrosoftEdiXSDTemplates.exe file, and I see only X12 00504, 00505, 00601, 00602, 00603.   I'm trying to replace an existing VAN with BizTalk and the current docs are 00401. 

    Was 00401 dropped in BT2016? Was it in the older releases of BizTalk? 
    Where would I go to see what changed between 00401 and a later release? 

    Thanks,
    Neal Walters 

    P.S.  Just as an experiment, I created a Receive/Send port with EDI Pipeline on the Receive, 

    dropped one of the archived files from our existing VAN, and got this error.  Of course, I didn't deploy any schema because I couldn't find it (as per original question above). 

    An output message of the component "Unknown " in receive pipeline "Microsoft.BizTalk.Edi.DefaultPipelines.EdiReceive, Microsoft.BizTalk.Edi.EdiPipelines, Version=3.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" is suspended due to the following error: 
         Error encountered during parsing. The X12 transaction set with id '' contained in functional group with id '405', in interchange with id '000005128', with sender id 'xxxxxxxx ', receiver id 'xxxxxxxxx' is being suspended with following errors:
    Error: 1 (Miscellaneous error)
    6: Finding the document specification by message type "http://schemas.microsoft.com/BizTalk/EDI/X12/2006#X12_00401_850" failed. Verify the schema deployed properly. 
    .
     The sequence number of the suspended message is 1. 

    P.P.S.  I got the MicrosoftEdiXSDTemplates.exe from BT2010. Deployed the 00401 schema and it translated to XML okay.  The 2010 includes 00204, 00301-00304, 00401-00405, and 00501-00503.  The 2016 includes ONLY 00504-00505, 00601-00603.  So what's going on here?  Did the files get omitted by mistake or on purpose?  Or is there some secret I'm missing? 



    Wednesday, April 19, 2017 2:08 PM

All replies

  • The 401 schemas are included with BTS 2013

    eg
     ..\MicrosoftEdiXSDTemplates\X12\00401\X12_00401_850.xsd

    Might be a mistake?

    rgds/Peter

    Wednesday, April 26, 2017 5:37 PM
  • This means you're using BizTalk Server 2016 Developer.

    The .zip that is included with the BizTalk Server 2016 Standard or Enterprise media includes all the schemas.

    But, there are no changes in the EDI schemas so you can use any Schema from previous versions.
    • Edited by Johns-305MVP Thursday, April 27, 2017 11:18 AM
    • Proposed as answer by Angie Xu Monday, May 1, 2017 1:51 AM
    Thursday, April 27, 2017 11:18 AM